
/**
 * Title:        Diff Word<p>
 * Description:  A diff that is not line based but word based.<p>
 * Copyright:    Copyright (c) Baptiste Lepilleur<p>
 * Company:      Gaia Creation<p>
 * @author Baptiste Lepilleur
 * @version 1.0
 */
package gaiacrtn.diffword;
import gaiacrtn.util.Switch;

public class TextMarkerEndLine implements TextMarker {

  public TextMarkerEndLine() {
  }

  public boolean equals( Object obj ) {
    return obj != null  &&  (obj instanceof TextMarkerEndLine);
  }

  public String toString() {
    return "<ENDLINE>";
  }

  public int hashCode() {
    return 0xffffffe1;
  }

  public void apply( Switch sw ) {
    ((SwitchTextMarker)sw).caseEndLine( this );
  }
}