
/**
 * Title:        <p>
 * Description:  <p>
 * Copyright:    Copyright (c) <p>
 * Company:      <p>
 * @author
 * @version 1.0
 */
package gaiacrtn.swing;

import javax.swing.table.TableModel;
import javax.swing.ListSelectionModel;
import javax.swing.JPopupMenu;

public interface PopupMenuFactoryTable {
  /** Makes the popup menu for the item at the specified position.
   * @param model Table model.
   * @param modelSel Table Selection model (list of selected object).
   * @param nRow Row the user clicked on (-1 if none).
   * @param nCol Column the user clicked on (-1 if none).
   */
  public JPopupMenu makePopupMenu( TableModel model,
                                   ListSelectionModel modelSel,
                                   int nRow, int nCol );
}
