
/**
 * Title:        Diff Word<p>
 * Description:  A diff that is not line based but word based.<p>
 * Copyright:    Copyright (c) Baptiste Lepilleur<p>
 * Company:      Gaia Creation<p>
 * @author Baptiste Lepilleur
 * @version 1.0
 */
package gaiacrtn.diffword;

public class TextMarkerFactoryConcret implements TextMarkerFactory {

  static TextMarker _markerEndLine = new TextMarkerEndLine();

  public TextMarkerFactoryConcret() {
  }

  public TextMarker makeWord(String strWord) {
    return new TextMarkerWord( strWord );
  }

  public TextMarker makeEndLine() {
    return _markerEndLine;
  }
}