
/**
 * Title:        Diff Word<p>
 * Description:  A diff that is not line based but word based.<p>
 * Copyright:    Copyright (c) Baptiste Lepilleur<p>
 * Company:      Gaia Creation<p>
 * @author Baptiste Lepilleur
 * @version 1.0
 */
package gaiacrtn.util;
import java.util.List;

/** Director to build the result of change from a diff.
 */
abstract public class ChangeDirector {
  protected ChangeBuilder _builderChange;

  public ChangeDirector( ChangeBuilder builderChange ) {
    _builderChange = builderChange;
  }

  abstract public void buildChange( List list0,
                                    List list1,
                                    Diff.change change );
}